<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/trash/class/view/adminviewtrashview.class.php" );
	
	/**
     * view trash
     */
    class AdminViewTrashAction extends AdminAction 
	{
	    
        function AdminViewTrashAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );
                // check various permissions.
        	$this->requirePermission( 'add_post' );
        	$this->requirePermission( 'view_posts' );
        	$this->requirePermission( 'update_post' );
        }

        function perform()
        {
            $this->_view = new AdminViewTrashView( $this->_blogInfo );

        	$this->setCommonData();
            return true;
        }
    }
?>